MetacatUI - Feature #6633

Add a Member Node filter to the DataONE theme
12/16/2014 02:45 PM - Lauren Walker

Status: Resolved Start date:

Priority: Normal Due date:

Assignee: Lauren Walker % Done: 0%
Bugzilla-ld:

Description

History

#1 - 12/16/2014 02:46 PM - Lauren Walker

- Assignee set to Lauren Walker

#2 - 12/29/2014 01:37 PM - Lauren Walker

- Status changed from New to Resolved

#3 - 01/09/2015 10:06 AM - Lauren Walker

- Status changed from Resolved to In Progress

There is a bug where the Member Node filter is not being removed when the "Clear all" button is clicked.

#4 - 01/13/2015 12:36 PM - Lauren Walker

- Status changed from In Progress to Resolved

The aforementioned bug was happening because the Search model now has objects as filters but the Search model "defaults" attribute was a
reference to a JS object. The "defaults” attribute is now a function that returns that object so that changes to the search model filters will not disrupt
the defaults object. It is now working as expected in all themes.
